package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.ProcessBean;
import com.wd.workoffice.bean.StockBean;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface BatSaleContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getProcess(String processCode, Integer transitPartId);

        Observable<BaseBean> getDep(String permission);

        Observable<BaseBean> getStock(Map<String,Object> param);
    }

    interface View extends IBaseView {
        void processList(List<ProcessBean> dataList);

        void depList(List<DepBean> dataList);

        void getStock(List<StockBean> dataList);
    }

    interface Presenter extends IBasePresenter<View> {

        void getProcess(String processCode, Integer transitPartId);

        void getDep(String permission);

        void getStock(Map<String,Object> param);
    }
}
